
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineSystem.cmake:204 (message)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      The system is: Linux - 3.10.0-862.el7.x86_64 - x86_64
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/bin/gcc 
      Build flags: -m32
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is GNU, found in:
        /home/dnf_project/dnf_project/build/CMakeFiles/3.26.3/CompilerIdC/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler: /usr/bin/g++ 
      Build flags: -m32
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"
      
      The CXX compiler identification is GNU, found in:
        /home/dnf_project/dnf_project/build/CMakeFiles/3.26.3/CompilerIdCXX/a.out
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b"
      binary: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b"
    cmakeVariables:
      CMAKE_C_FLAGS: "-m32"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b
        
        Run Build Command(s):/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_0a5dd/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_0a5dd.dir/build.make CMakeFiles/cmTC_0a5dd.dir/build
        gmake[1]: Entering directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b'
        Building C object CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o
        /usr/bin/gcc   -m32    -v -o CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -c /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCCompilerABI.c
        Using built-in specs.
        COLLECT_GCC=/usr/bin/gcc
        Target: x86_64-redhat-linux
        Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
        Thread model: posix
        gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) 
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64'
         /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/cc1 -quiet -v -imultilib 32 /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -m32 -mtune=generic -march=x86-64 -auxbase-strip CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -version -o /tmp/ccCfVXJa.s
        GNU C (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)
        	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44), GMP version 6.0.0, MPFR version 3.1.1, MPC version 1.0.1
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-redhat-linux/4.8.5/include
         /usr/local/include
         /usr/include
        End of search list.
        GNU C (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)
        	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44), GMP version 6.0.0, MPFR version 3.1.1, MPC version 1.0.1
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        Compiler executable checksum: 231b3394950636dbfe0428e88716bc73
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64'
         as -v --32 -o CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o /tmp/ccCfVXJa.s
        GNU assembler version 2.27 (x86_64-redhat-linux) using BFD version version 2.27-27.base.el7
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64'
        Linking C executable cmTC_0a5dd
        /home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E cmake_link_script CMakeFiles/cmTC_0a5dd.dir/link.txt --verbose=1
        /usr/bin/gcc -m32   -v -rdynamic CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -o cmTC_0a5dd 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/gcc
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper
        Target: x86_64-redhat-linux
        Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
        Thread model: posix
        gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-m32' '-v' '-rdynamic' '-o' 'cmTC_0a5dd' '-mtune=generic' '-march=x86-64'
         /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2 --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_i386 -export-dynamic -dynamic-linker /lib/ld-linux.so.2 -o cmTC_0a5dd /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../.. CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o
        gmake[1]: Leaving directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b]
        ignore line: []
        ignore line: [Run Build Command(s):/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_0a5dd/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_0a5dd.dir/build.make CMakeFiles/cmTC_0a5dd.dir/build]
        ignore line: [gmake[1]: Entering directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-xMPs1b']
        ignore line: [Building C object CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o]
        ignore line: [/usr/bin/gcc   -m32    -v -o CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -c /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCCompilerABI.c]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/gcc]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c c++ objc obj-c++ java fortran ada go lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux]
        ignore line: [Thread model: posix]
        ignore line: [gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/cc1 -quiet -v -imultilib 32 /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -m32 -mtune=generic -march=x86-64 -auxbase-strip CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -version -o /tmp/ccCfVXJa.s]
        ignore line: [GNU C (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44)  GMP version 6.0.0  MPFR version 3.1.1  MPC version 1.0.1]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [GNU C (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44)  GMP version 6.0.0  MPFR version 3.1.1  MPC version 1.0.1]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [Compiler executable checksum: 231b3394950636dbfe0428e88716bc73]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64']
        ignore line: [ as -v --32 -o CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o /tmp/ccCfVXJa.s]
        ignore line: [GNU assembler version 2.27 (x86_64-redhat-linux) using BFD version version 2.27-27.base.el7]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64']
        ignore line: [Linking C executable cmTC_0a5dd]
        ignore line: [/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E cmake_link_script CMakeFiles/cmTC_0a5dd.dir/link.txt --verbose=1]
        ignore line: [/usr/bin/gcc -m32   -v -rdynamic CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -o cmTC_0a5dd ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/gcc]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c c++ objc obj-c++ java fortran ada go lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux]
        ignore line: [Thread model: posix]
        ignore line: [gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-rdynamic' '-o' 'cmTC_0a5dd' '-mtune=generic' '-march=x86-64']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2 --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_i386 -export-dynamic -dynamic-linker /lib/ld-linux.so.2 -o cmTC_0a5dd /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../.. CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_i386] ==> ignore
          arg [-export-dynamic] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib/ld-linux.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_0a5dd] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib]
          arg [-L/lib/../lib] ==> dir [/lib/../lib]
          arg [-L/usr/lib/../lib] ==> dir [/usr/lib/../lib]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..]
          arg [CMakeFiles/cmTC_0a5dd.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o] ==> [/usr/lib/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o] ==> [/usr/lib/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o] ==> [/usr/lib/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib] ==> [/usr/lib]
        collapse library dir [/lib/../lib] ==> [/lib]
        collapse library dir [/usr/lib/../lib] ==> [/usr/lib]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib/crt1.o;/usr/lib/crti.o;/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o;/usr/lib/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32;/usr/lib;/lib;/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM"
      binary: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "-m32"
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM
        
        Run Build Command(s):/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_526a2/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_526a2.dir/build.make CMakeFiles/cmTC_526a2.dir/build
        gmake[1]: Entering directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM'
        Building CXX object CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o
        /usr/bin/g++   -m32    -v -o CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -c /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCXXCompilerABI.cpp
        Using built-in specs.
        COLLECT_GCC=/usr/bin/g++
        Target: x86_64-redhat-linux
        Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
        Thread model: posix
        gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) 
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64'
         /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/cc1plus -quiet -v -imultilib 32 -D_GNU_SOURCE /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -m32 -mtune=generic -march=x86-64 -auxbase-strip CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -version -o /tmp/ccZAoTTg.s
        GNU C++ (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)
        	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44), GMP version 6.0.0, MPFR version 3.1.1, MPC version 1.0.1
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5
         /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/x86_64-redhat-linux/32
         /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/backward
         /usr/lib/gcc/x86_64-redhat-linux/4.8.5/include
         /usr/local/include
         /usr/include
        End of search list.
        GNU C++ (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)
        	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44), GMP version 6.0.0, MPFR version 3.1.1, MPC version 1.0.1
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        Compiler executable checksum: 51b2dcccf6085e5bfbbf3932e5685252
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64'
         as -v --32 -o CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccZAoTTg.s
        GNU assembler version 2.27 (x86_64-redhat-linux) using BFD version version 2.27-27.base.el7
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64'
        Linking CXX executable cmTC_526a2
        /home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E cmake_link_script CMakeFiles/cmTC_526a2.dir/link.txt --verbose=1
        /usr/bin/g++ -m32   -v -rdynamic CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_526a2 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/g++
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper
        Target: x86_64-redhat-linux
        Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux
        Thread model: posix
        gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-m32' '-v' '-rdynamic' '-o' 'cmTC_526a2' '-shared-libgcc' '-mtune=generic' '-march=x86-64'
         /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2 --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_i386 -export-dynamic -dynamic-linker /lib/ld-linux.so.2 -o cmTC_526a2 /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../.. CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o
        gmake[1]: Leaving directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Parsed CXX implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5]
          add: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/x86_64-redhat-linux/32]
          add: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/backward]
          add: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5] ==> [/usr/include/c++/4.8.5]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/x86_64-redhat-linux/32] ==> [/usr/include/c++/4.8.5/x86_64-redhat-linux/32]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/backward] ==> [/usr/include/c++/4.8.5/backward]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/include/c++/4.8.5;/usr/include/c++/4.8.5/x86_64-redhat-linux/32;/usr/include/c++/4.8.5/backward;/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (PROJECT)"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM]
        ignore line: []
        ignore line: [Run Build Command(s):/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_526a2/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_526a2.dir/build.make CMakeFiles/cmTC_526a2.dir/build]
        ignore line: [gmake[1]: Entering directory `/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-MDd3eM']
        ignore line: [Building CXX object CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o]
        ignore line: [/usr/bin/g++   -m32    -v -o CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -c /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/g++]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c c++ objc obj-c++ java fortran ada go lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux]
        ignore line: [Thread model: posix]
        ignore line: [gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/cc1plus -quiet -v -imultilib 32 -D_GNU_SOURCE /home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -m32 -mtune=generic -march=x86-64 -auxbase-strip CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -version -o /tmp/ccZAoTTg.s]
        ignore line: [GNU C++ (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44)  GMP version 6.0.0  MPFR version 3.1.1  MPC version 1.0.1]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/x86_64-redhat-linux/32]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../include/c++/4.8.5/backward]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/4.8.5/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [GNU C++ (GCC) version 4.8.5 20150623 (Red Hat 4.8.5-44) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 4.8.5 20150623 (Red Hat 4.8.5-44)  GMP version 6.0.0  MPFR version 3.1.1  MPC version 1.0.1]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [Compiler executable checksum: 51b2dcccf6085e5bfbbf3932e5685252]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64']
        ignore line: [ as -v --32 -o CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccZAoTTg.s]
        ignore line: [GNU assembler version 2.27 (x86_64-redhat-linux) using BFD version version 2.27-27.base.el7]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-o' 'CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-mtune=generic' '-march=x86-64']
        ignore line: [Linking CXX executable cmTC_526a2]
        ignore line: [/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E cmake_link_script CMakeFiles/cmTC_526a2.dir/link.txt --verbose=1]
        ignore line: [/usr/bin/g++ -m32   -v -rdynamic CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_526a2 ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/g++]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/lto-wrapper]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c c++ objc obj-c++ java fortran ada go lto --enable-plugin --enable-initfini-array --disable-libgcj --with-isl=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.5-20150702/obj-x86_64-redhat-linux/cloog-install --enable-gnu-indirect-function --with-tune=generic --with-arch_32=x86-64 --build=x86_64-redhat-linux]
        ignore line: [Thread model: posix]
        ignore line: [gcc version 4.8.5 20150623 (Red Hat 4.8.5-44) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/:/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-m32' '-v' '-rdynamic' '-o' 'cmTC_526a2' '-shared-libgcc' '-mtune=generic' '-march=x86-64']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2 --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_i386 -export-dynamic -dynamic-linker /lib/ld-linux.so.2 -o cmTC_526a2 /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5 -L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../.. CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/4.8.5/collect2] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_i386] ==> ignore
          arg [-export-dynamic] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib/ld-linux.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_526a2] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib]
          arg [-L/lib/../lib] ==> dir [/lib/../lib]
          arg [-L/usr/lib/../lib] ==> dir [/usr/lib/../lib]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..]
          arg [CMakeFiles/cmTC_526a2.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
          arg [-lstdc++] ==> lib [stdc++]
          arg [-lm] ==> lib [m]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [-lc] ==> lib [c]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crt1.o] ==> [/usr/lib/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crti.o] ==> [/usr/lib/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib/crtn.o] ==> [/usr/lib/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../../lib] ==> [/usr/lib]
        collapse library dir [/lib/../lib] ==> [/lib]
        collapse library dir [/usr/lib/../lib] ==> [/usr/lib]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5] ==> [/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../..] ==> [/usr/lib]
        implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
        implicit objs: [/usr/lib/crt1.o;/usr/lib/crti.o;/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32/crtend.o;/usr/lib/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/4.8.5/32;/usr/lib;/lib;/usr/lib/gcc/x86_64-redhat-linux/4.8.5]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/Internal/FeatureTesting.cmake:34 (try_compile)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/Internal/FeatureTesting.cmake:83 (_record_compiler_features)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/Compiler/CMakeCommonCompilerMacros.cmake:121 (_record_compiler_features_cxx)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeDetermineCompileFeatures.cmake:70 (cmake_record_cxx_compile_features)"
      - "/home/software/cmake-3.26.3-linux-x86_64/share/cmake-3.26/Modules/CMakeTestCXXCompiler.cmake:70 (CMAKE_DETERMINE_COMPILE_FEATURES)"
      - "CMakeLists.txt:9 (PROJECT)"
    checks:
      - "Detecting CXX compile features"
    directories:
      source: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm"
      binary: "/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm"
    cmakeVariables:
      CMAKE_CXX_FLAGS: "-m32"
    buildResult:
      variable: "CMAKE_CXX_FEATURE_TEST"
      cached: true
      stdout: |
        Change Dir: /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm
        
        Run Build Command(s):/home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_0e7ce/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_0e7ce.dir/build.make CMakeFiles/cmTC_0e7ce.dir/build
        gmake[1]: 进入目录“/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm”
        Building CXX object CMakeFiles/cmTC_0e7ce.dir/feature_tests.cxx.o
        /usr/bin/g++   -m32    -std=c++1y -o CMakeFiles/cmTC_0e7ce.dir/feature_tests.cxx.o -c /home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm/feature_tests.cxx
        Linking CXX executable cmTC_0e7ce
        /home/software/cmake-3.26.3-linux-x86_64/bin/cmake -E cmake_link_script CMakeFiles/cmTC_0e7ce.dir/link.txt --verbose=1
        /usr/bin/g++ -m32  -rdynamic CMakeFiles/cmTC_0e7ce.dir/feature_tests.cxx.o -o cmTC_0e7ce 
        gmake[1]: 离开目录“/home/dnf_project/dnf_project/build/CMakeFiles/CMakeScratch/TryCompile-cDkQIm”
        
      exitCode: 0
...
